//+------------------------------------------------------------------+
//|                                       BasketTrader HiloLines.mq4 |
//|                                            2009.06.10, SwingMan |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright " 2009.06.10, SwingMan"
#property link      ""

#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Red

//---- inputs --------------------------------------------------------
extern int AvgPeriod = 21;
//--------------------------------------------------------------------

double Line1[], Line2[];

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int init()
{
   SetIndexBuffer(0,Line1); SetIndexLabel(0,"avgHighs"); SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(1,Line2); SetIndexLabel(1,"avgLows"); SetIndexStyle(1,DRAW_LINE);

   IndicatorShortName("BasketTrader HiloLines  ");
   return(0);
}

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int deinit()
{
   return(0);
}

//---------------------------------------------------------------------------------|
//                                                                                 |
//---------------------------------------------------------------------------------|
int start() 
{  
   int counted_bars = IndicatorCounted();
   int i, limit;
   
   if (counted_bars < 0) return(-1);
   if (counted_bars > 0) counted_bars--;
   limit=Bars - counted_bars;
  
   for (i=limit;i>=0;i--)
   {  
      Line1[i] = iMA(Symbol(),Period(),AvgPeriod,1,MODE_SMA,PRICE_HIGH,i);
      Line2[i] = iMA(Symbol(),Period(),AvgPeriod,1,MODE_SMA,PRICE_LOW,i);
   }
   return(0);
}